<?php

$args = array(
        'category__in'   => 3700,
        'post__not_in'   => array($current_post_id),
        'posts_per_page' => 3,
);

$related_posts_query = new WP_Query($args);

if ($related_posts_query->have_posts()) {
    echo '<div class="related-posts">';
    echo '<div class="articles-preview-rfo">';

    while ($related_posts_query->have_posts()) {
        $related_posts_query->the_post();
        get_template_part('content', 'post-rfo');
    }

        echo '</div>';
        echo '</div>';
        wp_reset_postdata();
}
   